package model;

public class Node<E extends Person> {
	
	private E element;
	private Node<E> next;
	
	public double getBMI() {
		return this.element.getBMI();
	}
	
	public double getTuition() {
		double tuition = 0;
		
//		tuition = this.element.getTuition(); not compiling
		
		if(element instanceof Student) {
			tuition = ((Student) element).getTuition();
		}
		else {
			tuition = -1;
		}
		
		return tuition;
	}
}
